Bug 448953 - dblatex-0.2.9 is available
dblatex-0.2.9 is available
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dblatex (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Package...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 13:39 EDT by FEver
Modified: 2008-07-04 05:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2.9-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 15:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FEver 2008-05-29 13:39:42 EDT
dblatex-0.2.9 is already available. Repo version is 0.2.8.
Please update the package.

If you have any questions or suggestions related to Fever,
feel free to write them in this bug or have a look at
http://fedoraproject.org/wiki/PackageMaintainers/FEver

Don't send any messages to fevapp at o2.pl please.
Comment 1 Alex Lancaster 2008-06-12 23:40:08 EDT
I'm working on updating the package now.
Comment 2 Alex Lancaster 2008-06-13 01:06:53 EDT
Small issue is that dblatex 0.2.9 attempts to find a xetex package but xetex
isn't packaged yet for Fedora, so the build fails:

http://koji.fedoraproject.org/koji/taskinfo?taskID=660189

The relevant part from:

http://koji.fedoraproject.org/koji/getfile?taskID=660189&name=build.log

is here:

+ /usr/bin/python setup.py install --root
/var/tmp/dblatex-0.2.9-1.fc10-root-mockbuild
running install
Error: not found: ifxetex
+checking XSLT xsltproc... yes
+checking convert... yes
+checking epstopdf... yes
+checking fig2dev... no
warning: not found: fig2dev
+checking latex... yes
+checking pdflatex... yes
+checking makeindex... yes
+checking kpsewhich... yes
+checking amsmath... yes
+checking amssymb... yes
+checking amstext... yes
+checking anysize... yes
+checking bibtopic... found in package
+checking calc... yes
+checking changebar... yes
+checking color... yes
+checking colortbl... yes
+checking courier... yes
+checking dbk_admonition... found in package
+checking dbk_annot... found in package
+checking dbk_biblio... found in package
+checking dbk_callout... found in package
+checking dbk_changebar... found in package
+checking dbk_core... found in package
+checking dbk_fonts... found in package
+checking dbk_graphic... found in package
+checking dbk_headfoot... found in package
+checking dbk_hyper... found in package
+checking dbk_item... found in package
+checking dbk_locale... found in package
+checking dbk_revision... found in package
+checking dbk_table... found in package
+checking dbk_title... found in package
+checking dbk_verbatim... found in package
+checking dummyels... found in package
+checking enumitem... found in package
+checking eucal... yes
+checking fancybox... yes
+checking fancyhdr... yes
+checking fancyvrb... yes
+checking float... yes
+checking footmisc... yes
+checking graphicx... yes
+checking helvet... yes
+checking hhline... yes
+checking hyperref... yes
+checking ifpdf... yes
+checking ifthen... yes
+checking ifxetex... no
+checking inputenc... yes
+checking lastpage... found in package
+checking latexsym... yes
+checking listings... yes
+checking longtable... yes
+checking lscape... yes
+checking mathptmx... yes
+checking mathrsfs... yes
+checking multirow... yes
+checking multirow2... found in package
+checking overpic... yes
+checking palatino... yes
+checking pdfpages... yes
+checking pifont... yes
+checking ragged2e... found in package
+checking refcount... yes
+checking rotating... yes
+checking stmaryrd... yes
+checking subfigure... yes
+checking tabularx... yes
+checking textcomp... yes
+checking titlesec... yes
+checking url... yes
+checking wasysym... yes
+checking xecyr... found in package
error: Bad exit status from /var/tmp/rpm-tmp.85793 (%install)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.85793 (%install)

It can't find the \ifxetex macro, which rather than producing a warning,
actually produces an error.  This can probably be worked around, but not
entirely sure what's the best way of doing this.
Comment 3 Alex Lancaster 2008-06-13 01:19:19 EDT
Ok, so there's a patch on the ML that might help us out:

http://sourceforge.net/mailarchive/forum.php?thread_name=op.ubxirpt9n8yfof%40venus&forum_name=dblatex-users

testing now.
Comment 4 Alex Lancaster 2008-06-13 01:31:46 EDT
So texlive-xetex is available for Fedora, but only for >= F-9, patch seems to
conditionally enable support if found.
Comment 5 Alex Lancaster 2008-06-13 01:57:53 EDT
OK, so successfully build for rawhide/F-10:

http://koji.fedoraproject.org/koji/taskinfo?taskID=660261

will push a build for F-9 to updates-testing, if that works OK, I'll push an F-8
build too.
Comment 6 Fedora Update System 2008-06-13 02:04:17 EDT
dblatex-0.2.9-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-14 00:16:51 EDT
dblatex-0.2.9-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dblatex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5327
Comment 8 Patrice Dumas 2008-06-17 06:11:01 EDT
I think that it would be better to use a virtual provides
like tex(xetex. I asked for it in
https://bugzilla.redhat.com/show_bug.cgi?id=451774
Comment 9 Alex Lancaster 2008-06-17 08:48:30 EDT
(In reply to comment #8)
> I think that it would be better to use a virtual provides
> like tex(xetex. I asked for it in
> https://bugzilla.redhat.com/show_bug.cgi?id=451774

Sure, once it's available, I'll use it.  Meantime, that shouldn't prevent this
update going out.
Comment 10 Patrice Dumas 2008-06-18 10:33:11 EDT
It is now available in devel.
Comment 11 Fedora Update System 2008-06-20 15:10:17 EDT
dblatex-0.2.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Alex Lancaster 2008-07-04 05:23:39 EDT
(In reply to comment #10)
> It is now available in devel.

Done for rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=54793

Note You need to log in before you can comment on or make changes to this bug.